Anonymous Login
2019-11-20 04:52 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001327OpenClonkEngine - Controlspublic2016-02-07 09:48
ReporterJack Rost 
Assigned ToZapper 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSWindowsOS Version7
Product Version 
Target VersionFixed in Version 
Summary0001327: Hammer activate with double click
DescriptionWhen you activate hammer first time then you need click one time. But when you tried construct something and fail to do it or something interrupt to you then you need to click twice. I think that is because engine don't realize that constraction mode was deactivated.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003653

Maikel (developer)

This is a very nasty bug which has to do with the undocumented function SetPlayerControlEnabled and some internal state in the control library called repeated as far as I could trace it.

Ideally the constructor library would not use holding controls, but that would currently lead to throwing the hammer instead of needing to click twice.

I reassign this to Newton, since the internals of the control libraries are his area of expertise.

~0003656

Zapper (developer)

It might make sense to fix this only in the Controls branch and save the effort to fix it twice (if the bug even persists in the Controls branch)

~0004812

Maikel (developer)

If this is still an issue it needs to be fixed in 7.1 otherwise close this report.

~0004813

Zapper (developer)

I guess it's resolved as I have not encountered it in the last half year. Will check.

~0004938

Jack Rost (reporter)

This bug may cause another bug.
1. Cancel some construction.
2. Use wall kit with left mouse button.
3. You can't move wall projection with mouse.
4. Press right mouse button while pressing left mouse button - you drop wall kit but projection don't disappear.

~0004939

Zapper (developer)

Oh, it's still an issue! Thanks for pushing the bug to the top!

~0004943

Zapper (developer)

This bug is resolved now! Thanks again!
+Notes

-Issue History
Date Modified Username Field Change
2015-05-23 23:50 Jack Rost New Issue
2015-05-25 09:34 Maikel Note Added: 0003653
2015-05-25 09:35 Maikel Assigned To => Newton
2015-05-25 09:35 Maikel Status new => assigned
2015-05-31 07:12 Zapper Note Added: 0003656
2016-01-18 10:50 Maikel Assigned To Newton => Zapper
2016-01-18 10:50 Maikel Product Version => 7.0
2016-01-18 10:50 Maikel Target Version => 7.1 (Bugfix update)
2016-01-18 10:50 Maikel Note Added: 0004812
2016-01-18 12:25 Zapper Note Added: 0004813
2016-02-06 10:31 Jack Rost Note Added: 0004938
2016-02-06 21:27 Zapper Note Added: 0004939
2016-02-07 09:48 Zapper Note Added: 0004943
2016-02-07 09:48 Zapper Status assigned => resolved
2016-02-07 09:48 Zapper Fixed in Version => 7.1 (Bugfix update)
2016-02-07 09:48 Zapper Resolution open => fixed
+Issue History